Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.slide.structure
Class SubjectNode

    java.lang.Object
      org.apache.slide.structure.ObjectNode
          org.apache.slide.structure.SubjectNode

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

public class SubjectNode
extends ObjectNode

Subject node class.

Version:
  $Revision: 1.10 $
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class org.apache.slide.structure.ObjectNode
`ObjectNode.Binding, ObjectNode.BindingList, ObjectNode.ParentBinding, ObjectNode.ParentBindingList`

Field Summary
`static SubjectNode` | `ALL`
`static java.lang.String` | `ALL_URI` generic subjects
`static SubjectNode` | `AUTHENTICATED`
`static java.lang.String` | `AUTHENTICATED_URI`
`static SubjectNode` | `OWNER`
`static java.lang.String` | `OWNER_URI`
`static SubjectNode` | `SELF`
`static java.lang.String` | `SELF_URI`
`static SubjectNode` | `UNAUTHENTICATED`
`static java.lang.String` | `UNAUTHENTICATED_URI`

Fields inherited from class org.apache.slide.structure.ObjectNode
`uri`

Constructor Summary
`SubjectNode()` Constructor.
`SubjectNode(java.lang.String uri)` Default constructor.
`SubjectNode(java.lang.String uri, java.util.Vector children, java.util.Vector links)` Default constructor.
`SubjectNode(java.lang.String uuri, java.util.Vector bindings, java.util.Vector parentset, java.util.Vector links)` Contructor to be used by stores supporting binding.

Method Summary
`static SubjectNode` | `getSubjectNode(java.lang.String subjectUri)`

Methods inherited from class org.apache.slide.structure.ObjectNode
`addBinding, addChild, addLink, addParentBinding, cloneObject, copyObject, enumerateBindings, enumerateChildren, enumerateLinks, enumerateParentBindings, equals, getBindingUuri, getChildren, getPath, getUpdatedBindings, getUri, getUuri, hasBinding, hasBinding, hasChild, hasChild, hasChildren, hashCode, hasLinks, hasParentBinding, numberOfParentBindings, removeChild, removeLink, resetUpdatedBindings, setUri, setUuri, toString, validate`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ALL_URI

    public static final java.lang.String ALL_URI

  generic subjects

  See Also:
    Constant Field Values

### OWNER_URI

    public static final java.lang.String OWNER_URI

See Also:
  Constant Field Values

### SELF_URI

    public static final java.lang.String SELF_URI

See Also:
  Constant Field Values

### UNAUTHENTICATED_URI

    public static final java.lang.String UNAUTHENTICATED_URI

See Also:
  Constant Field Values

### AUTHENTICATED_URI

    public static final java.lang.String AUTHENTICATED_URI

See Also:
  Constant Field Values

### ALL

    public static final SubjectNode ALL

### OWNER

    public static final SubjectNode OWNER

### SELF

    public static final SubjectNode SELF

### UNAUTHENTICATED

    public static final SubjectNode UNAUTHENTICATED

### AUTHENTICATED

    public static final SubjectNode AUTHENTICATED

Constructor Detail

### SubjectNode

    public SubjectNode()

  Constructor.

### SubjectNode

    public SubjectNode(java.lang.String uri)

  Default constructor.

### SubjectNode

    public SubjectNode(java.lang.String uri,
                       java.util.Vector children,
                       java.util.Vector links)

  Default constructor.

### SubjectNode

    public SubjectNode(java.lang.String uuri,
                       java.util.Vector bindings,
                       java.util.Vector parentset,
                       java.util.Vector links)

  Contructor to be used by stores supporting binding.

Method Detail

### getSubjectNode

    public static SubjectNode getSubjectNode(java.lang.String subjectUri)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD